<template>
  <div class="public-bounced" style="width: auto" v-draw v-show="flag">
    <div class="public-bounced-title">
      <span>{{ displayContent.Name }}</span>
      <i class="el-icon-circle-close" @click="closePopup"></i>
    </div>
    <div class="public-bounced-content">
      <div class="public-bounced-content-left">
        <GasTable :displayContent="displayContent"></GasTable>
        <GasECharts></GasECharts>
      </div>
      <div class="public-bounced-content-right">
        <GasVideo></GasVideo>
      </div>
    </div>
  </div>
</template>

<script>

import '@/components/BaseNav/SolidWaste/directive'
import GasTable from '@components/BaseNav/PublicBounced/GasComponents/GasTable'
import GasECharts from '@components/BaseNav/PublicBounced/GasComponents/GasECharts'
import GasVideo from '@components/BaseNav/PublicBounced/GasComponents/GasVideo'
// import GasTabs from '@components/BaseNav/PublicBounced/GasComponents/GasTabs'

export default {
  name: 'PublicBounced',
  components: {
    // GasTabs,
    GasTable,
    GasECharts,
    GasVideo
  },
  data () {
    return {
      displayContent: [],
      flag: false
    }
  },
  methods: {
    setData (data) {
      this.displayContent = data
      this.flag = true
    },
    closePopup () {
      this.flag = false
    }
  }
}
</script>

<style lang="less" scoped>
.public-bounced {
  z-index: 999;
  position: fixed;
  top: 50%;
  left: 50%;
  //transform: translate(-50%, -50%);
  background-color: #0f1432;
  border: 1px #9fc5c8 solid;

  .public-bounced-title {
    border: 1px #a4c0d8 solid;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 5px 0;
    background-color: #002433;

    span {
      color: #f4f7ff;
      margin: 0 15px;
      font-size: 14px;
    }

    i {
      color: white;
      margin: 0 15px;
      font-size: 22px;
    }
  }

  .public-bounced-content {
    display: flex;
    align-items: center;
    justify-content: space-around;
    padding: 12px;

    .public-bounced-content-left {
      //flex: 1;
      flex-direction: column;
      margin-right: 13px;
    }

    .public-bounced-content-right {
      //flex: 1;
    }
  }

}
</style>
